> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/integrations/setting-up-limio-for-salesforce/subscriber-timeline/activity-timeline/relabel-event.md).

# Relabel Limio Event in Timeline

### Overview of the feature

Limio for Salesforce allows customising the list of allowed subscription action that might as well involve changing standard actions labels (learn more here: [Override Supported Subscription Actions](/integrations/setting-up-limio-for-salesforce/subscription-actions-rules/override-subscription-actions.md)). This change however does not apply to the Limio events names that are reflected in the subscription and customer timelines.\
This feature aims to align the actions and events labels.

### Standard event API name to labels mapping

```
{
  "order.new": "New Subscription",
  "order.cancel_subscription": "Cancel",
  "order.add_offer": "Cancel Save",
  "order.change_offer": "Switch",
  "order.renew": "Renew",
  "order.change_payment": "Change Payment",
  "order.change_address": "Change Delivery Address",
  "order.refund": "Refund",
  "order.pause_print": "Pause Print",
  "order.credit": "Credit"
}
```

### How to relabel an event?

To relabel an even displayed in Limio for Salesforce Timeline components, map the event API name to the updated label as follows:

1\. Navigate to *Custom Metadata types -> icAssist Config -> Subscription Actions*

2\. Click Edit and add a new **eventToLabelMap** property to the Config field in the following format:

```
"eventToLabelMap" : {
    "order.add_offer": "MY CUSTOM LABEL FOR CANCEL SAVE"
}
```

Note: make sure to use double quotes and put commas in the JSON object appropriately.

3\. Save.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/integrations/setting-up-limio-for-salesforce/subscriber-timeline/activity-timeline/relabel-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
